6.0.0-git
2019-03-22

[#11911] Multi-threaded Horde_Imap_Client
Summary Multi-threaded Horde_Imap_Client
Queue Horde Framework Packages
Queue Version Git master
Type Enhancement
State Accepted
Priority 1. Low
Owners slusarz (at) horde (dot) org
Requester slusarz (at) horde (dot) org
Created 2012-12-21 (2282 days ago)
Due
Updated 2013-10-15 (1984 days ago)
Assigned
Resolved
Milestone
Patch No

History
2013-10-15 22:04:44 Michael Slusarz Comment #3
Assigned to Michael Slusarz
Reply to this comment
I'll take a look.

This will have to wait until at least Horde_Imap_Client 3.  I hope to 
have it architectured in a way that we could possibly have BOTH 
options by separating server processing from network protocol stuff 
(reading/parsing).
2013-10-15 19:46:51 stuart (at) contatta (dot) com Comment #2 Reply to this comment
Threads are not necessary, I'd recomment libev such as through this: 
http://www.php.net/manual/en/intro.ev.php
2012-12-21 04:11:48 Michael Slusarz Comment #1
Type ⇒ Enhancement
State ⇒ Accepted
Priority ⇒ 1. Low
Summary ⇒ Multi-threaded Horde_Imap_Client
Queue ⇒ Horde Framework Packages
Milestone ⇒
Patch ⇒ No
Reply to this comment
Yes... you read that right.  Convert IMAP library to be 
multi-threaded, using pthreads.

Move socket connection code to a separate thread, so that we can do 
things like tokenize incoming stream and build objects while waiting 
for the IMAP server to finish processing/sending data.

Saved Queries